\begin{subsection}{Транспонирование матриц}
\begin{definition}
Пусть $A \in K^{m \times n}$.

\underline{Транспонированной матрицей} по отношению к $A=(a_{ij})$ называется матрица $B=(b_{ij}) \in K^{n \times m}$, такая что $b_{ij} = a_{ji}$, для $i=1, \ldots, n;\ j = 1, \ldots, m$.

(зеркальное отражение относительно диагонали (нет) (да))

$A^{\intercal} \overset{Def}{=} B$
\end{definition}

\begin{proposition} $ $
  \begin{enumerate}
    \item Пусть $A, B \in K^{m \times n}$

      Тогда $(A+B)^{\intercal} = A^{\intercal} + B^{\intercal}$

    \item Пусть $A \in K^{m \times n}$, $\alpha \in K$

      Тогда $(\alpha A)^{\intercal} = \alpha A^{\intercal}$

    \item Пусть $A \in K^{m \times n}$, $B \in K^{n \times p}$.

      Тогда $(AB)^{\intercal} = B^{\intercal}A^{\intercal}$

    \item $(A^{\intercal})^{\intercal} = A$
  \end{enumerate}
\end{proposition}
\begin{proof} $ $

3. $AB \in K^{m \times p} \SO (AB)^{\intercal} \in K^{p \times m}$
  
  $\begin{rcases*} 
    A^{\intercal} \in K^{n \times m}\\
    B^{\intercal} \in K^{p \times n}
  \end{rcases*} \SO B^{\intercal}A^{\intercal} \in K^{p \times m}$

  $(AB)^{\intercal} =: (c_{ij})$

  $B^{\intercal}A^{\intercal} =: (d_{ij})$

  $A =: (a_{ij})$

  $B =: (b_{ij})$

  $c_{ij} = \sum \limits_{r = 1}^{n} a_{jr}b_{ri}$

  $d_{ij} = \sum \limits_{r = 1}^{n} b_{ri}a_{jr}$

  $\SO (c_{ij}) = (d_{ij})$
\end{proof}

\begin{observation}
  Пусть $A \in \GL_n(K)$. Тогда $A^{\intercal} \in \GL_n(K)$ и $(A^{\intercal})^{-1} = (A^{-1})^{\intercal}$
\end{observation}
\begin{proof} $ $

  $A \cdot A^{-1} = A^{-1} \cdot A = E_n$

  $(A \cdot A^{-1})^{\intercal} = (A^{-1} \cdot A)^{\intercal} = (E_n)^{\intercal} = E_n$

  $(A^{-1})^{\intercal} \cdot A^{\intercal} = A^{\intercal} \cdot (A^{-1})^{\intercal} = E_n$

  таким образом $(A^{-1})^{\intercal}$~--- обратная к $A^{\intercal}$
\end{proof}

\end{subsection}


